#ifndef __gammaLO_hh__
#define __gammaLO_hh__

#include <iostream>
#include "../math/complex.hh"

// complex version
dcomplex gamma0qq(dcomplex N);
dcomplex gamma0qg(dcomplex N, int nf);
dcomplex gamma0gq(dcomplex N);
dcomplex gamma0gg(dcomplex N, int nf);
dcomplex gamma0plus(dcomplex N, int nf);
// first derivative
dcomplex gamma0qq_prime(dcomplex N);
dcomplex gamma0qg_prime(dcomplex N, int nf);
dcomplex gamma0gq_prime(dcomplex N);
dcomplex gamma0gg_prime(dcomplex N);
// second derivative
dcomplex gamma0qq_second(dcomplex N);
dcomplex gamma0qg_second(dcomplex N, int nf);
dcomplex gamma0gq_second(dcomplex N);
dcomplex gamma0gg_second(dcomplex N);


// same as above, but for real variables
double gamma0qq(double N);
double gamma0qg(double N, int nf);
double gamma0gq(double N);
double gamma0gg(double N, int nf);
double gamma0plus(double N, int nf);

double gamma0qq_prime(double N);
double gamma0qg_prime(double N, int nf);
double gamma0gq_prime(double N);
double gamma0gg_prime(double N);

// z space
double P0plus(double x, int nf);
double P0gg(double x, int nf);
// generic splitting function
double SF(double x, int nf, dcomplex gam(dcomplex, int));

#endif
